Subject: bug#36341: 27.0.50; Reading from the Gnus dribble file leaves data inconsistent

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 23 Jun 2019 11:38:28 -0700

Deus Max <[email-masked]> writes:

> On Sun, Jun 23 2019, Lars Ingebrigtsen wrote:
>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> Would you be willing to build an earlier emacs, from before c1b63af44,
>>> and see if this is something I did?
>>
>> Sure; but I'm pretty sure that this started happening after the hash
>> table rewrite, so perhaps it's just less work to try to debug it now.  :-)
>
> What was the hash-table rewrite and when was it ?
> Is there any info on it ?

It started with the commit I mentioned above, included several patches
to master, and (I hope) will be concluded with the scratch branch you
helped me test. I'm pretty sure I just figured out what's wrong with the
dribble file, but I'm setting out on a 80-mile bike ride now, and will
fix it if/when I have survived that.

Eric